Subject: [bug#45062] [PATCH 1/2] gnu: xfce4-session: Fix xfce4-panel plugin detection.

From: Kei Kebreau <[email-masked]>
Date: Sun, 6 Dec 2020 14:55:52 -0500

On Sun, 06 Dec 2020 14:50:32 +0800
宋文武 <[email-masked]> wrote:

> Kei Kebreau <[email-masked]> writes:
> 
> > * gnu/packages/xfce.scm (xfce4-session)[source]: Add patch to
> > append the path to user-installed xfce4-panel plugins to the
> > X_XFCE4_LIB_DIRS environment variable.
> > [...]
> > +Ensure that xfce4 panel plugins in the user's Guix profile can
> > +be found in the directories specified in X_XFCE4_LIB_DIRS.
> > +
> > +Partially fixes Guix bug #44916:
> > +https://debbugs.gnu.org/cgi/bugreport.cgi?bug=44916.
> >  
> 
> Quote from #44916:
> >> Aside from that, it seems like Xfce, when installed as a
> >> system-wide desktop environment, does not look in the user's Guix
> >> profile for plugins.  Panel modules are located by Xfce in the
> >> directories listed in the X_XFCE4_LIB_DIRS environment variable.
> >> For my Xfce configuration, X_XFCE4_LIB_DIRS contains only
> >> /run/current-system/profile/lib/xfce4.  
> 
> I think mix plugins from system and user profiles is a bad idea, the
> system profile tend to be updated less than the user profile, so there
> maybe some ABI problems between the xfce-panel in the system profile
> and its plugins in the user profile due to mismatched versions.  
> 
> Does install both ‘xfce4-panel’ and ‘xfce4-whiskermenu-plugin’ into
> the user profile works (hopeful a system xfce4 session will first
> pickup a user installed xfce4-panel)?

Installing both 'xfce4-panel' and 'xfce4-whiskermenu-plugin' into the
user profile does work!  Is there a way to make clear to users and
administrators that xfce4-panel and its plugins should both be
installed at the user or system level to ensure proper function?  I
don't think it's obvious since our Xfce desktop service implicitly
installs the xfce4-panel.